if "%PROCESSOR_ARCHITECTURE%"=="x86" insUsbDrv.exe  %systemroot%\system32\drivers\ st.txt
if "%PROCESSOR_ARCHITECTURE%"=="i386" insUsbDrv.exe  %systemroot%\system32\drivers\ st.txt
if "%PROCESSOR_ARCHITECTURE%"=="AMD64" insUsbDrv64.exe  %systemroot%\system32\drivers\ st.txt
if "%PROCESSOR_ARCHITECTURE%"=="amd64" insUsbDrv64.exe  %systemroot%\system32\drivers\ st.txt
if "%PROCESSOR_ARCHITECTURE%"=="ia64" insUsbDrv64.exe  %systemroot%\system32\drivers\ st.txt
if "%PROCESSOR_ARCHITECTURE%"=="IA64" insUsbDrv64.exe %systemroot%\system32\drivers\ st.txt